package cz.moneta.test.sandbox.demo;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;

@TestScenario(name = "WebDemoTest is used to validate local configuration.")
public class WebDemoTest {

    @TestCase(name = "Test open chrome for web testing.")
    public void chromeOpenTest(Harness harness) {
        harness.withDemoChromeTestPage()
                .openTestPage();
    }

    @TestCase(name = "Test open edge for web testing.")
    public void edgeOpenTest(Harness harness) {
        harness.withDemoEdgeTestPage()
                .openTestPage();
    }
}
